For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
  • Cohere API
    • About
    • Teams and Roles
    • Errors
  • Endpoints
      • POSTCreate an Embed Job
      • GETList Embed Jobs
      • GETFetch an Embed Job
      • POSTCancel an Embed Job
  • Deprecated
  • Audio
  • Batches
    • GETList batches
    • POSTCreate a batch
    • GETRetrieve a batch
    • POSTCancel a batch
LogoLogodocs
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Endpointsv1/embed-jobs

List Embed Jobs

GET
https://api.cohere.com/v1/embed-jobs
GET
/v1/embed-jobs
1import cohere
2
3co = cohere.Client()
4
5# list embed jobs
6response = co.embed_jobs.list()
7
8print(response)
1{
2 "embed_jobs": [
3 {
4 "job_id": "e3f1c2a4-9b7d-4f3a-8c2e-1a2b3c4d5e6f",
5 "status": "complete",
6 "created_at": "2024-04-10T14:22:00Z",
7 "input_dataset_id": "dataset-7890abc123",
8 "model": "embed-multilingual-v2.0",
9 "truncate": "END",
10 "name": "User Document Embedding Job April 2024",
11 "output_dataset_id": "dataset-4567def890",
12 "meta": {
13 "api_version": {
14 "version": "1.0.0",
15 "is_deprecated": false,
16 "is_experimental": false
17 },
18 "billed_units": {
19 "images": 0,
20 "input_tokens": 1520,
21 "image_tokens": 0,
22 "output_tokens": 5120,
23 "search_units": 0,
24 "classifications": 0
25 },
26 "tokens": {
27 "input_tokens": 1520,
28 "output_tokens": 5120
29 },
30 "cached_tokens": 300,
31 "warnings": []
32 }
33 }
34 ]
35}
The list embed job endpoint allows users to view all embed jobs history for that specific user.
Was this page helpful?
Previous

Fetch an Embed Job

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Response headers

X-API-Warningstring
The name of the project that is making the request.

Response

OK
embed_jobslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
498
Invalid Token Error
499
Client Closed Request Error
500
Internal Server Error
501
Not Implemented Error
503
Service Unavailable Error
504
Gateway Timeout Error